OPENSSL_MALLOC(3)

NAME
OPENSSL_malloc, OPENSSL_realloc, OPENSSL_free, OPENSSL_strdup, CRYPTO_malloc, CRYPTO_realloc, CRYPTO_free, CRYPTO_strdup - legacy OpenSSL memory allocation wrappers

SYNOPSIS
#include <openssl/crypto.h>
void *
OPENSSL_malloc(size_t num);
void *
OPENSSL_realloc(void *addr, size_t num);
void
OPENSSL_free(void *addr);
char *
OPENSSL_strdup(const char *str);
void *
CRYPTO_malloc(size_t num, const char *file, int line);
void *
CRYPTO_realloc(void *p, size_t num, const char *file, int line);
void
CRYPTO_free(void *str, const char *, int);
char *
CRYPTO_strdup(const char *p, const char *file, int line);

DESCRIPTION
Do not use any of the interfaces documented here in new code. They are provided purely for compatibility with legacy application code.

All 8 of these functions are wrappers around the corresponding standard malloc(3), realloc(3), free(3), and strdup(3) functions.

RETURN VALUES
These functions return the same type and value as the corresponding standard functions.